> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api.alsona.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://api.alsona.com/_mcp/server.

# Get thread

GET https://alsona.com/rest/accounts/{account_id}/seats/{seat_id}/inbox/linkedin/threads/{thread_id}

Get a Linkedin thread by ID.

Reference: https://api.alsona.com/api-reference/inbox/linkedin/threads/get-thread

## Authentication

- `X-API-KEY` header (required)

## Request

### Path parameters

- `account_id` (string, required)
- `seat_id` (string, required)
- `thread_id` (string, required)

## Response

### 200

- `success` (boolean, required)
- `thread` (object, required)
  - `read` (boolean, required)
  - `type` (string, required)
  - `urn_lp` (string, required)
  - `seat_id` (string, required)
  - `ln_inbox` (string, required)
  - `last_name` (string, required)
  - `ln_degree` (integer, required)
  - `member_id` (string, required)
  - `thread_id` (string, required)
  - `account_id` (string, required)
  - `created_at` (integer, required)
  - `first_name` (string, required)
  - `updated_at` (integer, required)
  - `ln_headline` (string, required)
  - `last_message_at` (integer, required)

## Examples

**Response**

```json
{
  "success": true,
  "thread": {
    "read": false,
    "type": "profile",
    "urn_lp": "ACoAAAozmmIBqnheTd_gX_PlVdeUIFcgGHE3RIs",
    "seat_id": "SEAT6a13e661ecc6a86e3fb7",
    "ln_inbox": "LP",
    "last_name": "Kubiak",
    "ln_degree": 1,
    "member_id": "171154018",
    "thread_id": "2-M2NmOGI4Y2UtYjk1ZS00OWQ2LWI0NzYtMjM4M2UzZTI0N2M4XzEwMA==",
    "account_id": "ACCO136ce10b5f8a7682efb3",
    "created_at": 1755712036953,
    "first_name": "Michael",
    "updated_at": 1755712036953,
    "ln_headline": "Account & Relationship Management Executive (Michigan), Wolters Kluwer Health Learning, Research & Practice",
    "last_message_at": 1755698701352
  }
}
```

**SDK Code**

```python Response
import requests

url = "https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/linkedin/threads/thread_id"

headers = {"X-API-KEY": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Response
const url = 'https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/linkedin/threads/thread_id';
const options = {method: 'GET', headers: {'X-API-KEY': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/linkedin/threads/thread_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-KEY", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response
require 'uri'
require 'net/http'

url = URI("https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/linkedin/threads/thread_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/linkedin/threads/thread_id")
  .header("X-API-KEY", "<apiKey>")
  .asString();
```

```php Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/linkedin/threads/thread_id', [
  'headers' => [
    'X-API-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Response
using RestSharp;

var client = new RestClient("https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/linkedin/threads/thread_id");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-KEY", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Response
import Foundation

let headers = ["X-API-KEY": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/linkedin/threads/thread_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```